# Type alias Batch<C>

Batch<C>: {
breadcrumb: Project.AssignNames.Batch.Breadcrumb<C>;
entry: Project.AssignNames.Batch.Entry<C>;
input: Project.AssignNames.Batch.Input<C>;
output: Project.AssignNames.Batch.Output<C>;
result: Project.AssignNames.Batch.Result<C>;
structure: Project.AssignNames.Batch.Structure<C>;
}

#### Type Parameters

- #### C extends Project.AssignNames.Batch.Config

#### Type declaration

- ##### breadcrumb: Project.AssignNames.Batch.Breadcrumb<C>

- ##### entry: Project.AssignNames.Batch.Entry<C>

- ##### input: Project.AssignNames.Batch.Input<C>

- ##### output: Project.AssignNames.Batch.Output<C>

- ##### result: Project.AssignNames.Batch.Result<C>

- ##### structure: Project.AssignNames.Batch.Structure<C>

- Defined in packages/db/src/project/assignNames/batch.ts:42

Generated using TypeDoc